player_device_devlist Struct Reference

Request/reply: Get the list of available devices. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | devices_count
| The number of devices.
player_devaddr_t | devices [PLAYER_MAX_DEVICES]
| The list of available devices. More...

## Detailed Description

Request/reply: Get the list of available devices.

It's useful for applications such as viewer programs and test suites that tailor behave differently depending on which devices are available. To request the list, send a null PLAYER_PLAYER_REQ_DEVLIST.

## Member Data Documentation

player_devaddr_t player_device_devlist::devices[PLAYER_MAX_DEVICES]

The list of available devices.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45